Get the list of permissions

get

/ec-auth-svc/rest/v1.0/authroles/rolesrights

Retrieves a list of all roles with a list of their assigned rights. Useful for understanding the mapping between each available role and the set of permissions (rights) they possess.

Request

Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DisplayRoleRightsDto
Type: object
DTO representing a role and all rights assigned to that role.
Show Source
Example:
{
    "roleId":"2BC29B36F5D64B1B95F4BDBBCEA420BE",
    "roleName":"Data Reviewer",
    "roleCategory":"User",
    "rights":[
        {
            "rightId":"3DE7AA90C7244F13AAA8002164D88E79",
            "rightName":"View Data",
            "rightType":"READ",
            "granted":true
        }
    ]
}
Nested Schema : rights
Type: object
DTO describing the properties of a user right assigned to a role.
Show Source
Example:
{
    "displayName":"Can view data"
}
Examples

400 Response

Bad request
Body ()
Root Schema : AuthResponse
Type: object
Generic API response wrapper containing result, error data, response version and status.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41f
Nested Schema : details
Type: object
Back to Top